let Reric_SaveInitialize = Game_System.prototype.initialize;
Game_System.prototype.initialize = function () { 
    Reric_SaveInitialize.call(this);
    this.RomashaRericArr = []; 
};
let _所持レリック確認 = function(_RNo) {
    if($gameSystem.Btl_Chara == null) return;
    for (let i = 0; i <= $gameSystem.Btl_Chara.RericArr.length - 1; i++) {
        if($gameSystem.Btl_Chara.RericArr[i] == _RNo) {
            return true;
        }
    }
    return false;
}
var _戦闘開始時称号効果発動済Flg = false;
Game_Interpreter.prototype._戦闘開始時レリック変数リセット = function () {
    _戦闘開始時称号効果発動済Flg = false;
}
Game_Interpreter.prototype._ドロー時レリック効果発動 = function () {
    if(_所持レリック確認(Itm_Reric.ドロー回復)) { 
        SetEnemyDmgStac(DType.HpRecv, -1, 0, 5);  
    }
}
Game_Interpreter.prototype._ターン開始時レリック効果発動 = function () {
    if(_所持レリック確認(Itm_Reric.月影追加)) { 
        _一時CardFlg = true;
        this.CardDrawSetting(105 , 773 , 380);
        this.CardDrawMove();
    }
    if(_所持レリック確認(Itm_Reric.ランダム追加)) { 
        _一時CardFlg = true;
        let _ckCardS = $dataWeapons[29];
        let _ckCardA = $dataWeapons[159];
        let RndArrS = MetaChecker(_ckCardS, "ランダム発動", [2]).split(',');
        let RndArrA = MetaChecker(_ckCardA, "ランダム発動", [2]).split(',');
        let _CRndArr = [];
        RndArrS.forEach( _dataInt => {
            _CRndArr.push(_dataInt);
        });
        RndArrA.forEach( _dataInt => {
            _CRndArr.push(_dataInt);
        });
        let _RNo = Math.floor(Math.random() * _CRndArr.length);
        this.CardDrawSetting(_CRndArr[_RNo] , 773 , 380);
        _RNo = Math.floor(Math.random() * _CRndArr.length);
        this.CardDrawSetting(_CRndArr[_RNo] , 773 , 380);
        _RNo = Math.floor(Math.random() * _CRndArr.length);
        this.CardDrawSetting(_CRndArr[_RNo] , 773 , 380);
        this.CardDrawMove();
    }
    if (!_戦闘開始時称号効果発動済Flg) {
        if (_所持レリック確認(Itm_Reric.戦闘開始フェアリー追加)) {
            _一時CardFlg = true;
            _CardSetting_DeckFlg = false;
            this.CardDrawSetting(543 , 773 , 380);
            this.CardDrawMove();
        }
        if (_所持レリック確認(Itm_Reric.戦闘開始ジャミング追加)) {
            _一時CardFlg = true;
            _CardSetting_DeckFlg = false;
            this.CardDrawSetting(598 , 773 , 380);
            this.CardDrawMove();
        }
        if (_所持レリック確認(Itm_Reric.戦闘開始グリード追加)) {
            _一時CardFlg = true;
            _CardSetting_DeckFlg = false;
            this.CardDrawSetting(641 , 773 , 380);
            this.CardDrawMove();
        }
        if (_所持レリック確認(Itm_Reric.戦闘開始ジョーカーA追加)) {
            _一時CardFlg = true;
            _CardSetting_DeckFlg = false;
            this.CardDrawSetting(642 , 773 , 380);
            this.CardDrawMove();
        }
        if (_所持レリック確認(Itm_Reric.戦闘開始ダブルシフト追加)) {
            _一時CardFlg = true;
            _CardSetting_DeckFlg = false;
            this.CardDrawSetting(627 , 773 , 380);
            this.CardDrawMove();
        }
        if (_所持レリック確認(Itm_Reric.戦闘開始キャストオフ追加)) {
            _一時CardFlg = true;
            _CardSetting_DeckFlg = false;
            this.CardDrawSetting(327 , 773 , 380);
            this.CardDrawMove();
        }
        _戦闘開始時称号効果発動済Flg = true;
    }
}
